---
  - name: "Playing with Ansible and Git"
    hosts: dev
    vars:
      ansible_python_interpreter: /usr/bin/python3
    gather_facts: false
    tasks:
    - name: Comparing new kernel and running kernel
      shell: |
        echo $(hostname)
        NEW_KERNEL=4.17.0-80.el8.x86_64
        CURRENT_KERNEL=$(uname -r)
        if [[ $NEW_KERNEL != $CURRENT_KERNEL ]]; then
        echo false
        echo "Current kernel is :"$CURRENT_KERNEL
        else
           echo true
           echo "updated kernel is :"$NEW_KERNEL
        fi
      register: "output"
    - debug: var=output.stdout_lines
    - name: copy content to a local file
      copy:
         dest: "/home/devops/test/final.txt"
         content: |-
           {% for host in ansible_play_hosts_all %}
           {{ hostvars[host]['output']['stdout_lines'] }}
           {% endfor %}
      delegate_to: localhost
      run_once: true
